package projectzombie.items;

import projectzombie.entity.player.EntityPlayer;
import projectzombie.init.Models;
import projectzombie.model.ModelItem;
import projectzombie.util.math.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public class ItemRock extends Item implements ItemTool
{

	@Override
	public ModelItem getModel(short meta)
	{
		switch(meta) {
		case 1: return Models.ITEM_SNOW_PILE;
		case 2: return Models.ITEM_SANDSTONE;
		default: return Models.ITEM_ROCK;
		}
	}
	
	@Override
	public String getName(short meta) {
		return "Rock";
	}
	
	@Override
	public void toolOnUse(ItemStack stack) {
		
		if(stack.meta == 1) {
			return;
		}
		
		stack.count -= 1;
	}

	@Override
	public int toolPowerAxe(ItemStack stack)
	{
		if(stack.meta == 1) {
			return 0;
		}
		
		return 1;
	}

	@Override
	public int toolPowerPickaxe(ItemStack stack) {
		return 0;
	}

	@Override
	public int toolPowerShovel(ItemStack stack) {
		return 0;
	}

	@Override
	public int toolSpeed(ItemStack stack) {
		return 1;
	}

	

}
